package com.ruoyi.cai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.cai.domain.GuardTotal;
import com.ruoyi.cai.dto.app.dto.GuardTotalDTO;
import com.ruoyi.cai.dto.app.vo.index.GuardListPageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 守护用户累计Mapper接口
 *
 * @author 77
 * @date 2023-12-23
 */
public interface GuardTotalMapper extends BaseMapper<GuardTotal> {

    List<GuardTotalDTO> selectGuardTotal(@Param("toUserId") Long toUserId, @Param("limit") Integer limit);

    void incs(@Param("fromUserId") Long fromUserId, @Param("toUserId") Long toUserId, @Param("guardNum") Long guardNum, @Param("guardValue") Long guardValue);

    Long guardCount(@Param("toUserId") Long toUserId);
    Long guardPersonCount(@Param("toUserId") Long toUserId);

    Page<GuardListPageVo> userGuardPage(@Param("build") Page<Object> build, @Param("toUserId") Long toUserId);
}
